# Generated by Django 4.0.5 on 2023-01-20 13:49

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0019_users_role_alter_films_category_and_more'),
    ]

    operations = [
        migrations.AddField(
            model_name='films',
            name='groups',
            field=models.ManyToManyField(to='main.groups'),
        ),
        migrations.AddField(
            model_name='films',
            name='persons',
            field=models.ManyToManyField(to='main.persons'),
        ),
        migrations.AddField(
            model_name='persons',
            name='grades',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='main.grades'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='birthdate',
            field=models.DateField(default=0, max_length=100, verbose_name='Дата рождения'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='country',
            field=models.CharField(default='', max_length=100, verbose_name='Страна'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='discription',
            field=models.CharField(default='', max_length=9999, verbose_name='Описание'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='filmscount',
            field=models.IntegerField(default=0, max_length=4, verbose_name='Количество фильмов'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='genres',
            field=models.CharField(default='', max_length=100, verbose_name='Жанры'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='group',
            field=models.CharField(choices=[('actor', 'actor'), ('director', 'director')], default='actor', max_length=100, verbose_name='Группа'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='img',
            field=models.CharField(default='', max_length=100, verbose_name='Фото'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='name',
            field=models.CharField(max_length=100, verbose_name='Имя'),
        ),
    ]
